Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

Scopes

people:update:any

Path Parameters

personaId
string<uuid>
required

The ID of the persona to work with.

Maximum string length: 36
Example:

"8e214819-5c83-429f-a976-eb127a0a8a88"

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

Body

application/json

Body

emailAddress
string | null
Maximum string length: 256
Example:

"Clint_Moore@gmail.com"

employeeNumber
string | null
Maximum string length: 256
Example:

"948947464"

workNumber
string | null
Maximum string length: 50
Example:

"(807) 940-7411 x8855"

jobTitle
string | null
Maximum string length: 256
Example:

"Human Division Manager"

status
enum<string>
Available options:
active,
deactivated
Example:

"active"

transactionalEmailPreference
boolean | null

Indicates whether this persona has opted to receive the emails or not.

marketingEmailsPreference
boolean | null

Indicates whether this persona has opted to receive the marketing emails or not.

securityNotificationsPreference
boolean | null

Indicates whether this persona has opted to receive the security notifications or not.

cardTransactionPushNotificationPreference
boolean

User preference for receiving push notifications for each individual card transaction.

annotationSliderPreference
boolean

Whether this person wants the annotation slider, the mobile queue for annotating card transactions. Defaults to true.

Example:

true

Response

200 - application/json

OK

id
string<uuid>
required
accountId
string
required

The ID of the account to work with.

Example:

"F50091"

emailAddress
string | null
required
Maximum string length: 256
Example:

"Clint_Moore@gmail.com"

employeeNumber
string | null
required
Maximum string length: 256
Example:

"948947464"

workNumber
string | null
required
Maximum string length: 50
Example:

"(807) 940-7411 x8855"

jobTitle
string | null
required
Maximum string length: 256
Example:

"Human Division Manager"

status
enum<string> | null
required
Available options:
active,
deactivated,
created,
invited,
inviteExpired,
cancelled,
null
Example:

"active"

createdByPersonaId
string<uuid> | null
required

The ID of the persona to work with.

Maximum string length: 36
Example:

"8e214819-5c83-429f-a976-eb127a0a8a88"

marketingEmails
boolean
required
securityNotifications
boolean
required
addresses
object[]
createdBy
object | null
primaryOwnerOf
object | null
teams
object[]
transactionalEmailPreference
boolean | null

Indicates whether this persona has opted to receive the emails or not.

cardTransactionPushNotificationPreference
boolean

User preference for receiving push notifications for each individual card transaction.

annotationSliderPreference
boolean

Whether this person wants the annotation slider, the mobile queue for annotating card transactions. Defaults to true.

Example:

true

inviteSentDate
string<date-time> | null

The date the signup was created or updated. ISO 8601 format. Invites are valid for 14 days.

Example:

"2018-12-01T14:54:30.000Z"

createdAt
string<date-time>

The date the Resource was initially created. ISO 8601 format without milliseconds.

updatedAt
string<date-time>

The date the Resource was last modified. ISO 8601 format without milliseconds.